function [H,f,A,B,amax,amin,Fp,F3db]=bkfil(N,rx0,Fa)

F3db=(acos(rx0))/(2*pi);
M=0.5/F3db;
omega=(tan(pi*Fa)/tan(pi/(2*M)))^2;
Fa=atan(sqrt(omega)*tan(pi/(2*M)))/pi;
Fp=atan(tan(pi/(2*M))/sqrt(omega))/pi;
L=ellll(N,omega);
Eps=1/sqrt(L);
amax=-10*log10(1/(1+Eps^2));
amin=-10*log10(1/(1+L));
[A,B]=ellip(N,amax,amin,2*Fp);

[H,w]=freqz(A,B,512);
f=w/(2*pi);