% Example_10_2
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
clear, close all
% EMQF model filter
[Hab,Hai,Hbb,Hbi,g,amax,amin,fp,f3db]=bkfil_all(5,1/2,0.2);
fp
A=(conv(Hab,Hbi)+conv(Hbb,Hai))/2;
B=conv(Hai,Hbi);
[G,f]=freqz(A,B,1024,2);
figure (1)
subplot(3,1,1)
plot(f,20*log10(abs(G))),ylabel('Gain, dB'),grid
axis([0,1,-50,2])
%hold on
Ahp=(conv(Hab,Hbi)-conv(Hbb,Hai))/2;
[Ghp,f]=freqz(Ahp,B,1024,2);
%plot(w/(2*pi),20*log10(abs(Ghp)),'g')
%hold off
%title('EMQF model filter')
AA=zeros(size(1:4*length(A)-3));
AA(1:4:length(AA))=A;
BB=zeros(size(1:4*length(B)-3));
BB(1:4:length(BB))=B;
figure (1)
subplot(3,1,2)
[Gm,f]=freqz(AA,BB,1024,2);
plot(f,20*log10(abs(Gm))),ylabel('Gain, dB'),grid
%title('EMQF periodic model filter')
axis([0,1,-50,2])
H=G.*Gm;
figure (1)
subplot(3,1,3)
plot(f,20*log10(abs(H))),xlabel('\omega/\pi'),ylabel('Gain, dB'),grid
%title('Narrow-band lowpass filter')
axis([0,1,-50,2])
g(1)=axes('Position',[0.42 0.23 0.40 0.07]);
plot(f(1:74),abs(H(1:74))), axis([0,74/1024,0.9992,1.0001])

