function Ln=elll0p5(L2n)
% ############################################################################
%
% elll0p5.m Ln=elll0p5(L2n) calculates the absolute value of the 
%           characteristic function of the Cauer filter of the Nth order
%           when the absolute value of the characteristic function 
%           of the Cauer filter of 2Nth order, L2n, is known.
%           L=elll2 is a function used to calculate the poles of the 
%           Cauer filters of the order N= 5, 7, 10, 11, 13, 15,17 (ellc.m).
%
%           M. Lutovac 6-18-1994
%
% function Ln=elll0p5(L2n)
% ____________________________________________________________________________

Ln=(L2n+1)/2/sqrt(L2n);
% ****************************************************************************


